#!/bin/sh
#
# $Id: am_arkeia.sh,v 1.2.2.1 2002/03/30 01:18:45 uzi Exp $
#
# Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
#
# Description:
#	Determine if the Knox Arkeia client daemon is running.
# This script should only be executed if the daemon is expected
# to be running, so we try to restart it if the daemon is stopped
# or dead.
#

. /usr/sausalito/swatch/statecodes
. /etc/rc.d/init.d/functions

RESTART=/etc/rc.d/init.d/cobalt-arkeia

STATE=`status nlservd 2>&1`
case "$STATE" in
	*stopped* | *dead*)
		#
		# The service has stopped.  Stop it again to clear out any
		# pid or lock files, then try and restart it.
		#
		$RESTART stop
		$RESTART start
		RETVAL=$?
		if [ $RETVAL -ne 0 ]; then
			#
			# The service did not restart!  Red means very bad,
			# not good as it would in some cultures.
			#
			echo -ne "[[knox-arkeia.am_stopped]]"
			exit $AM_STATE_RED
		fi

		# The service was restarted.  This is good.
		echo -ne "[[knox-arkeia.am_restarted]]"
		exit $AM_STATE_GREEN
		;;

	*running*)
		echo -ne "[[knox-arkeia.am_running]]"
		exit $AM_STATE_GREEN
		;;

	*)
		#
		# Unknown status!  Call it a warning, though it is a bug
		# in this script if this ever happens.
		#
		echo -ne "[[knox-arkeia.am_unknown]]"
		exit $AM_STATE_YELLOW
		;;
esac

# We should never get to here, but just in case 
exit $AM_STATE_GREEN
